# 改变版本号，实现伪封号和解封号

from loguru import logger
from Static_Settings import *
from HelperLogInOut import apiLogin, apiLogout, generateTimestamp
from HelperFullPlay import implFullPlayAction

def implChangeVersionNumber(userId: int, currentLoginTimestamp:int, currentLoginResult, dataVersion="1.40.09", romVersion="1.41.00") -> str:
    musicData= ({
    "musicId": 834,
    "level": 4,
    "playCount": 1,
    "achievement": 0,
    "comboStatus": 0,
    "syncStatus": 0,
    "deluxscoreMax": 0,
    "scoreRank": 0,
    "extNum1": 0
})
    userAllPatches = {
    "upsertUserAll": {
        "userData": [{
            "lastRomVersion": romVersion,
            "lastDataVersion": dataVersion
        }],
        "userMusicDetailList": [musicData],
        "isNewMusicDetailList": "1"  #1避免覆盖
    }}
    logger.info("Changing version number to " + dataVersion + " and " + romVersion)
    result = implFullPlayAction(userId, currentLoginTimestamp, currentLoginResult, musicData, userAllPatches, True)
    return result

if __name__ == "__main__":
    userId = testUid
    currentLoginTimestamp = generateTimestamp()
    loginResult = apiLogin(currentLoginTimestamp, userId)

    musicId = 852 #229 is guruguru wash
    levelId = 3 #3 is MASTER

    if loginResult['returnCode'] != 1:
        logger.info("登录失败")
        exit()
    try:
        #logger.info(implDeleteMusicRecord(userId, currentLoginTimestamp, loginResult, musicId, levelId))
        logger.info(implChangeVersionNumber(userId, currentLoginTimestamp, loginResult, "1.30.00", "1.30.00"))
        logger.info(apiLogout(currentLoginTimestamp, userId))
    finally:
        logger.info(apiLogout(currentLoginTimestamp, userId))
        #logger.warning("Error")
